docusign.templates.delete-template-page ​
Deletes a page from a document in a template based on the page number.
Deletes a page from a document in an template.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
documentid | string | Yes | — | The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. |
pagenumber | string | Yes | — | The page number being accessed. |
templateid | string | Yes | — | The ID of the template. |
password | string | No | — | The user's password. This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings. This property is not returned by GET requests and cannot be updated via PUT requests. |
rotate | string | No | — | Sets the direction the page image is rotated. The possible settings are: left or right |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
documentid | string | Yes | — | The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. |
pagenumber | string | Yes | — | The page number being accessed. |
templateid | string | Yes | — | The ID of the template. |
password | string | No | — | The user's password. This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings. This property is not returned by GET requests and cannot be updated via PUT requests. |
rotate | string | No | — | Sets the direction the page image is rotated. The possible settings are: left or right |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform DELETE /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.templates.delete-template-page",
"initial_data": {
"base_url": "value",
"accountid": "value",
"documentid": "value",
"pagenumber": "value"
}
}